NoHttpResponseException (HttpClient Library (Version 3.1))
Date: 2019-01-01

org.apache.commons.httpclient

## Class NoHttpResponseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.commons.httpclient.NoHttpResponseException

- All Implemented Interfaces:
    java.io.Serializable

      public class NoHttpResponseException
      extends java.io.IOException

  Signals that the target server failed to respond with a valid HTTP response.

  Version:
    $Revision: 480424 $
  Author:
    Oleg Kalnichevski
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoHttpResponseException()` Creates a new NoHttpResponseException with a `null` detail message.
    `NoHttpResponseException(java.lang.String message)` Creates a new NoHttpResponseException with the specified detail message.
    `NoHttpResponseException(java.lang.String message, java.lang.Throwable cause)` Creates a new NoHttpResponseException with the specified detail message and cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoHttpResponseException

          public NoHttpResponseException()

      Creates a new NoHttpResponseException with a `null` detail message.

    - #### NoHttpResponseException

          public NoHttpResponseException(java.lang.String message)

      Creates a new NoHttpResponseException with the specified detail message.
      Parameters:
        `message` - exception message

    - #### NoHttpResponseException

          public NoHttpResponseException(java.lang.String message,
                                         java.lang.Throwable cause)

      Creates a new NoHttpResponseException with the specified detail message and cause.
      Parameters:
        `message` - the exception detail message
        `cause` - the `Throwable` that caused this exception, or `null` if the cause is unavailable, unknown, or not a `Throwable`
      Since:
        3.0

Copyright (c) 1999-2005 - Apache Software Foundation